# Project information
site_name: ETSI SDG TFS Documentation
site_description: ETSI SDG TFS Documentation page
site_author: TeraflowSDN by ETSI
site_url: https://tfs.etsi.org/

# Repository
repo_name: TFS GitLab
repo_url: https://labs.etsi.org/rep/tfs
edit_uri: ""
docs_dir: doc

extra_css:
  - stylesheets/extra.css

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight

  palette:
    primary: custom
    accent: custom

  logo: 'images/logos/TeraFlowSDN_tr.png'
  favicon: images/favicon.png

  icon:
    repo: fontawesome/brands/gitlab

# Copyright
copyright: "Copyright &copy; 2019-2024 TeraflowSDN Project"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://tfs.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/tfs
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/teraflowsdn/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/TeraflowSDN
  version:
    provider: mike

# Page tree
nav:
  - Deployment Guide:
      - Configure your Machine: 
          - Physical Server: ./deployment_guide/configure_your_machine/physical_server.md
          - Oracle Virtual Box: ./deployment_guide/configure_your_machine/oracle_virtual_box.md
          - VMWare Fusion: ./deployment_guide/configure_your_machine/vm_ware_fusion.md
          - OpenStack: ./deployment_guide/configure_your_machine/openstack.md
          - Vagrant Box: ./deployment_guide/configure_your_machine/vagrant_box.md
      - Install MicroK8s: ./deployment_guide/install_micro_k8s/install_micro_k8s.md
      - Deploy TeraFlowSDN: ./deployment_guide/deploy_TeraFlowSDN/deploy_TeraFlowSDN.md  
      - WebUI and Grafana Dashboards: ./deployment_guide/webUI_and_grafana_dashboards/webUI_and_grafana_dashboards.md  
      - Show deployments and Logs: ./deployment_guide/show_deployment_and_logs/show_deployment_and_logs.md        
  - Development Guide:
      - Configure Environment: 
          - Python: ./development_guide/configure_environment/python.md
          - Java (Quarkus): ./development_guide/configure_environment/java_quarkus.md 

  - Testing:
      - Test Plan: ./testing/testplan/README.md
      - Robot Framework: ./testing/robotframework/README.md
      - Postman: ./testing/postman/README.md
  - FAQ: ./FAQ.md
